为什么我不能在ispLEVER 7.1 SP1或8.0或8.0 SP1中运行混合语言合成?

使用ispLEVER 7.1 SP1(或8.0或8.0 SP1)时,可以使用包含VHDL和Verilog模块的混合语言设计。

如果在运行设计时收到错误消息,则需要在“环境选项”对话框中调整设置。

请打开“环境选项”对话框,然后单击“目录”选项卡。

在Synplify路径下面应该有2个复选框;
1个标记为“SynplifyPro”,1个标记为“OEM工具”。
请确保选中这两个复选框。

如果仅选中“OEM工具”,则Project Navigator将打开Synplify的OEM版本而不是SynplifyPro。

Synplify的OEM版本不支持混合语言合成,这将产生错误消息。 。如果仅选中“SynplifyPro”,则Project Navigator将查找非OEM版本的SynplifyPro的路径并运行它。。如果路径指向SynplifyPro的Lattice OEM版本,那么它似乎会运行设计,但在尝试编写EDIF文件时会出错。。错误消息(如下所示)不具有描述性,但错误与许可证错误相关,该错误会阻止SynplifyPro编写EDIF文件。 。错误输出EDIF文件c:/datap/test_ecp2m/ecp2m_pll/count.edi 。使用代码2执行Synplicity VHDL / Verilog HDL合成器时出错 。完成:退出代码失败:0002。 。注意:从ispLEVER 8.1开始,Synplify的版本已升级,因此默认情况下支持混合语言合成,并且只列出了一个复选框。
编辑 重设标签(回车键确认) 标为违禁 关闭 合并 删除

提问于 2018-07-27 10:13:16 +0800

这个帖子被标记为一个社区wiki

这个帖子是一个wiki(维基). 任何一个积分 >500的人都可以完善它